package com.zhentao.moment.service;

import com.zhentao.moment.domain.UserMoments;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.moment.dto.MonmentDto;
import com.zhentao.vo.Result;

import java.util.List;

/**
* @author 86159
* @description 针对表【user_moments(朋友圈动态表)】的数据库操作Service
* @createDate 2025-06-04 11:56:59
*/
public interface UserMomentsService extends IService<UserMoments> {
//  发布朋友圈
    Result sendMonment(String  token,MonmentDto monmentDto);
//  删除朋友圈
    Result deleteMonment(MonmentDto monmentDto);
//  获取用户信息
    Result userinfo(String token);
    //    查看我的朋友圈
    List<UserMoments> getMyMonment(Long userId);

//    List<> getFriendMonment(Long valueOf);
}
